Page MenuHomePhabricator

Deploy updated search/extra plugin and search/extra-analysis-slovak plugin with Slovak Stemmer
Closed, ResolvedPublic

Description

We need to:

  • deploy the search/extra-analysis-slovak plugin with the Slovak stemmer ← we are here
  • deploy the analysis config that expects the stemmer to be there
  • re-index Slovak Wikis with the new analysis chain enabled

We refactored the search/extra project so that search/extra-analysis-slovak is a sub-module that generates a separate plugin. We need to re-deploy the new search/extra without the Slovak stemmer, and the new search/extra-analysis-slovak with the Slovak stemmer.

The plugins need to be updated and the clusters restarted.

Event Timeline

TJones created this task.Apr 5 2018, 4:34 PM
TJones triaged this task as Normal priority.
TJones updated the task description. (Show Details)Apr 5 2018, 4:37 PM

Change 428584 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/software/elasticsearch/plugins@master] Bump extra plugin version to 5.5.2.4

https://gerrit.wikimedia.org/r/428584

Change 428584 merged by Gehel:
[operations/software/elasticsearch/plugins@master] Bump extra plugin version to 5.5.2.4

https://gerrit.wikimedia.org/r/428584

Mentioned in SAL (#wikimedia-operations) [2018-04-25T12:55:45Z] <gehel> starting elasticsearch codfw rolling restart for plugin update and NUMA config - T191543 / T191236

Mentioned in SAL (#wikimedia-operations) [2018-04-30T13:12:59Z] <gehel> restarting elasticsearch codfw rolling restart for plugin update and NUMA config - T191543 / T191236

TJones renamed this task from Deploy updated search/extra plugin with Slovak Stemmer to Deploy updated search/extra plugin and search/extra-analysis-slovak plugin with Slovak Stemmer.May 1 2018, 2:34 PM
TJones updated the task description. (Show Details)

Change 429984 had a related patch set uploaded (by Tjones; owner: Tjones):
[search/extra@master] Move ExtraAnalysisSlovakPlugin to where Elastic expects it to be

https://gerrit.wikimedia.org/r/429984

debt assigned this task to Gehel.May 1 2018, 5:30 PM
debt added a subscriber: debt.

A few restarts need to be made

Mentioned in SAL (#wikimedia-operations) [2018-05-02T07:36:05Z] <gehel> elasticsearch eqiad rolling restart for plugin update and NUMA config - T191543 / T191236

Change 429984 merged by jenkins-bot:
[search/extra@master] Move ExtraAnalysisSlovakPlugin to where Elastic expects it to be

https://gerrit.wikimedia.org/r/429984

Mentioned in SAL (#wikimedia-operations) [2018-05-03T09:09:42Z] <gehel> rolling restart of elasticsearch completed - T191543 / T191236

TJones added a comment.May 3 2018, 1:02 PM

@Gehel, since we refactored extra and extra-analysis-slovak, we need to redeploy and re-restart (so sorry!). I renamed this task to cover that. Should we move it back to the backlog, or should I undo the rename and open a separate task?

debt closed this task as Resolved.Jun 1 2018, 1:56 PM